using InABox.Core;
using NPOI.HPSF;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Server
{
    public static class UpdateData
    {
        public static string GetUpdateVersionFile()
        {
            return Path.Combine(CoreUtils.GetCommonAppData(), "update/version.txt");

        }

        public static string GetUpdateInstallerFile()
        {
            return Path.Combine(CoreUtils.GetCommonAppData(), "update/PRSDesktopSetup.exe");
        }

        public static string GetReleaseNotesFile()
        {
            return Path.Combine(CoreUtils.GetCommonAppData(), "update/Release Notes.txt");
        }

        public static string GetUpdateVersion()
        {
            return File.ReadAllText(GetUpdateVersionFile());
        }

        public static byte[] GetUpdateInstaller()
        {
            return File.ReadAllBytes(GetUpdateInstallerFile());
        }

        public static string GetReleaseNotes()
        {
            return File.ReadAllText(GetReleaseNotesFile());
        }
    }
}
